//	ＡＩＧライブラリ　セレクト関数
//		Copyright (C) 1993-1994 by AIG-SOFT

#ifndef	__AIG_SEL__
#define	__AIG_SEL__	1

#include "menu.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	int	ok(int *,int *,unchar *,int,int,int,int,MCOLORS *);
	int	Select2(int ,int ,unchar *,unchar *);
	int	FileSelect(int *xx,int *yy,unchar *,unchar *,unchar *);
	int	MFileSet(unchar **,int *,unchar *,unchar *,int *,int,int);
	int	MSelecter(int *,int *,unchar **,int *,unchar *,int,int,unchar *);
	int	DriveChange(int *,int *,MCOLORS *);
	int	WildChange(int *,int *,MCOLORS *,unchar *);
	int	OpenWildChange(void);
	void	CloseWildChange(void);
	int	areasel(int *,int *,int *,int *,int,int,int *,int *,int,int,int (*)());
#else
	int	ok();
	int	Select2();
	int	FileSelect();
	int	MFileSet();
	int	MSelecter();
	int	DriveChange();
	int	WildChange();
	int	OpenWildChange();
	void	CloseWildChange();
	int	areasel();
#endif
#ifdef	__cplusplus
}
#endif

#endif
